[CalendarServer-changes] [12559] twext/trunk/bin

source_changes at macosforge.org source_changes at macosforge.org
Wed Mar 12 11:17:48 PDT 2014


Revision: 12559
          http://trac.calendarserver.org//changeset/12559
Author:   wsanchez at apple.com
Date:     2014-02-04 11:45:27 -0800 (Tue, 04 Feb 2014)
Log Message:
-----------
Add setup_print()

Modified Paths:
--------------
    twext/trunk/bin/_build.sh

Added Paths:
-----------
    twext/trunk/bin/gendocs

Modified: twext/trunk/bin/_build.sh
===================================================================
--- twext/trunk/bin/_build.sh	2014-02-04 19:45:11 UTC (rev 12558)
+++ twext/trunk/bin/_build.sh	2014-02-04 19:45:27 UTC (rev 12559)
@@ -170,6 +170,17 @@
 }
 
 
+setup_print () {
+    what="$1"; shift;
+
+    PYTHONPATH="${wd}" "${python}" - << EOF
+from __future__ import print_function
+import setup
+print(setup.${what})
+EOF
+}
+
+
 # If do_get is turned on, get an archive file containing a dependency via HTTP.
 www_get () {
   if ! "${do_get}"; then return 0; fi;

Added: twext/trunk/bin/gendocs
===================================================================
--- twext/trunk/bin/gendocs	                        (rev 0)
+++ twext/trunk/bin/gendocs	2014-02-04 19:45:27 UTC (rev 12559)
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+##
+# Copyright (c) 2014 Apple Inc. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+##
+
+set -e;
+set -u;
+
+wd="$(cd "$(dirname "$0")/.." && pwd -L)";
+
+export TWEXT_DEVELOP="true";
+
+. "${wd}/bin/_build.sh";
+
+init_build > /dev/null;
+py_dependencies || true;
+
+echo "Installing/updating pydoctor...";
+"${python}" -m pip install twisted nevow pydoctor --upgrade;
+
+pydoctor="${py_bindir}/pydoctor";
+
+"${pydoctor}"                                           \
+    --project-name twext                                \
+    --project-url "$(setup_print url)"                  \
+    --system-class pydoctor.twistedmodel.TwistedSystem  \
+    --project-base-dir "${wd}"                          \
+    --add-package "${wd}/twext"                         \
+    --html-output "${wd}/docs/api"                      \
+    --html-write-function-pages                         \
+    --make-html                                         \
+    ;
+
+# --quiet


Property changes on: twext/trunk/bin/gendocs
___________________________________________________________________
Added: svn:executable
   + *
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/calendarserver-changes/attachments/20140312/f73a68ce/attachment.html>


More information about the calendarserver-changes mailing list